PowerPoint1ParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a PowerPointParser. More...

Inheritance diagram for PowerPoint1ParserInternal::SubDocument:

## Public Member Functions

| SubDocument (PowerPoint1Parser &pars, MWAWInputStreamPtr const &input, TextZone const *textZone, MWAWVec2i const &tId, int rulerId)
| constructor for text
| SubDocument (PowerPoint1Parser &pars, MWAWInputStreamPtr const &input, Slide const *slide)
| constructor for slide note
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes

Slide const * | m_slide
| the slide
TextZone const * | m_textZone
| the text zone
MWAWVec2i | m_id
| the text id in text zone
int | m_rulerId
| the ruler id
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions

| SubDocument (SubDocument const &)=delete
SubDocument & | operator= (SubDocument const &)=delete

## Detailed Description

Internal: the subdocument of a PowerPointParser.

## Constructor & Destructor Documentation

## SubDocument() [1/3]

PowerPoint1ParserInternal::SubDocument::SubDocument | ( | PowerPoint1Parser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | TextZone const * | textZone,
|  | MWAWVec2i const & | tId,
|  | int | rulerId )

inline

constructor for text

Referenced by operator!=(), operator=(), and SubDocument().

## SubDocument() [2/3]

PowerPoint1ParserInternal::SubDocument::SubDocument | ( | PowerPoint1Parser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | Slide const * | slide )

inline

constructor for slide note

## ~SubDocument()

PowerPoint1ParserInternal::SubDocument::~SubDocument | ( |  | ) |

inline final

destructor

## SubDocument() [3/3]

PowerPoint1ParserInternal::SubDocument::SubDocument | ( | SubDocument const & |  | ) |

private delete

## Member Function Documentation

## operator!=()

bool PowerPoint1ParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

inline final virtual

operator!=

Reimplemented from MWAWSubDocument.

## operator=()

SubDocument & PowerPoint1ParserInternal::SubDocument::operator= | ( | SubDocument const & |  | ) |

private delete

## parse()

void PowerPoint1ParserInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )

final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## m_id

MWAWVec2i PowerPoint1ParserInternal::SubDocument::m_id

protected

the text id in text zone

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_rulerId

int PowerPoint1ParserInternal::SubDocument::m_rulerId

protected

the ruler id

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_slide

Slide const* PowerPoint1ParserInternal::SubDocument::m_slide

protected

the slide

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_textZone

TextZone const* PowerPoint1ParserInternal::SubDocument::m_textZone

protected

the text zone

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

The documentation for this class was generated from the following file:

- PowerPoint1Parser.cxx